## Index

### Classes

- TerminalUI

### Variables

- ansiStyles
- supports16mColors

### Functions

- clearLineAndWriteTextAt
- clearScreen
- drawPixelChar
- getRestoreCursor
- getTerminalSize
- setBgColor
- setFgColor
- setMoveTo
- setShowCursor
- writeBgColor
- writeFgColor

## Variables

### Const ansiStyles

ansiStyles: "/Users/phil/github/mine/puzzlescript/node_modules/@types/ansi-styles/index" = (ansiStylesHack as any).default

- Defined in ui/terminal.ts:17

### Const supports16mColors

supports16mColors: boolean = process.env.COLORTERM === 'truecolor'

- Defined in ui/terminal.ts:15

## Functions

### clearLineAndWriteTextAt

- clearLineAndWriteTextAt(x: number, y: number, msg: string): void

- - Defined in ui/terminal.ts:49

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### msg: string

  #### Returns void

### clearScreen

- clearScreen(): void

- - Defined in ui/terminal.ts:46

  #### Returns void

### drawPixelChar

- drawPixelChar(x: number, y: number, fgHex: Optional<string>, bgHex: Optional<string>, char: string): string

- - Defined in ui/terminal.ts:52

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### fgHex: Optional<string>

  - ##### bgHex: Optional<string>

  - ##### char: string

  #### Returns string

### getRestoreCursor

- getRestoreCursor(): string

- - Defined in ui/terminal.ts:591

  #### Returns string

### getTerminalSize

- getTerminalSize(): object

- - Defined in ui/terminal.ts:584

  #### Returns object

  - ##### columns: number

  - ##### rows: number

### setBgColor

- setBgColor(hex: string): string

- - Defined in ui/terminal.ts:19

  #### Parameters

  - ##### hex: string

  #### Returns string

### setFgColor

- setFgColor(hex: string): string

- - Defined in ui/terminal.ts:27

  #### Parameters

  - ##### hex: string

  #### Returns string

### setMoveTo

- setMoveTo(x: number, y: number): string

- - Defined in ui/terminal.ts:40

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns string

### setShowCursor

- setShowCursor(): string

- - Defined in ui/terminal.ts:43

  #### Returns string

### writeBgColor

- writeBgColor(hex: string): void

- - Defined in ui/terminal.ts:34

  #### Parameters

  - ##### hex: string

  #### Returns void

### writeFgColor

- writeFgColor(hex: string): void

- - Defined in ui/terminal.ts:37

  #### Parameters

  - ##### hex: string

  #### Returns void

Generated using TypeDoc